include(FindSimpleLibrary)
include(FindPackageHandleStandardArgs)

find_package(Gint 2.2.1 REQUIRED)

find_simple_library("libimg-${FXSDK_PLATFORM}.a" include/libimg.h
  "IMG_VERSION" PATH_VAR IMG_PATH VERSION_VAR IMG_VERSION)

find_package_handle_standard_args(LibImg
  REQUIRED_VARS IMG_PATH IMG_VERSION
  VERSION_VAR IMG_VERSION)

if(LibImg_FOUND)
  add_library(LibImg::LibImg UNKNOWN IMPORTED)
  set_target_properties(LibImg::LibImg PROPERTIES
    IMPORTED_LOCATION "${IMG_PATH}"
    INTERFACE_LINK_OPTIONS -limg-${FXSDK_PLATFORM}
    INTERFACE_LINK_LIBRARIES Gint::Gint)
endif()
